View Issue Details

IDProjectCategoryLast Update
0020790AI War 2[All Projects] Graphical BugOct 1, 2019 3:59 pm
ReporterDominus ArbitrationisAssigned ToBadgerBadger 
Severityblock 
Status resolvedResolutionfixed 
Product Version0.806 Sabre Company 
Fixed in Version0.893 Usability and Tutorial Prep 
Summary0020790: Waypoint queuing in route preview
DescriptionWhen you've got waypoints queued up, they also aren't reflected. If I try to SHIFT-queue up a route for military ships, I still only see the path they'd take from their current destination to the new one, not the route they'll take in factoring waypoints. Ideally, waypoint should be reflected in the route preview.

Credit: Delor on Steam https://steamcommunity.com/app/573410/discussions/0/2479690531137706730/
TagsNo tags attached.

Relationships

related to 0021570 resolvedBadgerBadger Galaxy map UI doesn't reflect multiple queued move commands 

Activities

nomad_delta

Dec 23, 2018 2:12 am

reporter   ~0050647

I'm experiencing the same issue and I'd like to suggest that this might be more than "minor" importance, as queuing up multiple waypoints through enemy territory is I think a pretty important part of the game.

BadgerBadger

Sep 23, 2019 6:40 pm

manager   ~0053257

I've put in a first pass at this

Asteroid

Sep 29, 2019 1:05 am

reporter   ~0053305

According to this it's broken: https://steamcommunity.com/app/573410/discussions/1/1628538707063436397/
Annoying since before it used to work, it's just that the visuals didn't match. Now the bug is much more critical (if the report is true).

BadgerBadger

Sep 29, 2019 8:34 am

manager   ~0053307

Nope, I actually noticed this problem when I was implementing the UI too. It's always been broken.

None of the UI changes I made should have been able to affect what ships are doing.

Asteroid

Sep 29, 2019 10:04 am

reporter   ~0053308

Strange. Shift-click did work for me to set a path through multiple systems, I guess I never noticed that the actual low-level pathing was weird.

BadgerBadger

Sep 29, 2019 4:27 pm

manager   ~0053309

All I know is A. the changes I made were only to the visual layer and B. The logic for player ship routing looks like there are problems.

I can't do anything about it right now because the linux builds are broken, unfortunately.

BadgerBadger

Sep 30, 2019 12:41 am

manager   ~0053316

Should be fixed now

OzoneGrif

Sep 30, 2019 8:15 pm

reporter   ~0053348

There's a minor issue with the GUI.
The movement works perfectly fine, with SHIFT, without SHIFT. It obeys accordingly and that's the most important.

But if you do *not* press SHIFT: the GUI displays the whole path from the last click (as if you pressed SHIFT, so not the true path).

BadgerBadger

Oct 1, 2019 3:59 pm

manager   ~0053371

I believe this should be fixed in the next release

Issue History

Date Modified Username Field Change
Nov 19, 2018 12:16 pm Dominus Arbitrationis New Issue
Nov 19, 2018 12:16 pm Dominus Arbitrationis Status new => assigned
Nov 19, 2018 12:16 pm Dominus Arbitrationis Assigned To => x4000Bughunter
Dec 23, 2018 2:12 am nomad_delta Note Added: 0050647
Sep 9, 2019 11:55 pm BadgerBadger Relationship added related to 0021570
Sep 23, 2019 6:40 pm BadgerBadger Assigned To x4000Bughunter => BadgerBadger
Sep 23, 2019 6:40 pm BadgerBadger Status assigned => feedback
Sep 23, 2019 6:40 pm BadgerBadger Note Added: 0053257
Sep 29, 2019 1:05 am Asteroid Note Added: 0053305
Sep 29, 2019 1:05 am Asteroid Severity minor => block
Sep 29, 2019 8:34 am BadgerBadger Note Added: 0053307
Sep 29, 2019 10:04 am Asteroid Note Added: 0053308
Sep 29, 2019 4:27 pm BadgerBadger Note Added: 0053309
Sep 30, 2019 12:41 am BadgerBadger Status feedback => resolved
Sep 30, 2019 12:41 am BadgerBadger Resolution open => fixed
Sep 30, 2019 12:41 am BadgerBadger Fixed in Version => 0.893 Usability and Tutorial Prep
Sep 30, 2019 12:41 am BadgerBadger Note Added: 0053316
Sep 30, 2019 8:15 pm OzoneGrif Note Added: 0053348
Oct 1, 2019 3:59 pm BadgerBadger Note Added: 0053371